
Redmine - Defect #8149

Subtasks always become 'bug' as tracker type

2011-04-14 14:01 - Stefaan Ellebaut

Status: Closed Start date: 2011-04-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.1.2

Description

I added a couple of trackers (eg support, task). I want my main issues to be features (or bugs) and attach sub issues to them (mostly

tasks).

When I make a task as standalone issue it remains a task when I submit (save). When I then edit the issue and add a parent issue ID

and save, the tracker changes to 'bug'.

When I make a feature issue, save, then in the issue detail view I add a subtask, I can still set the tracker to task for the new sub

issue, but when saving, it appears to be set to 'bug' again.

DB-version: mySQL 5.1.49-3 (Debian)

Ruby-version: Ruby 1.8.7 (2010-08-16 patchlevel 302) [x86_64-linux]

Rails-version: Rails 3.0.6

History

#1 - 2011-04-14 14:09 - Stefaan Ellebaut

Update: I might have found the problem. We use the Backlog plugin for our scrum team. Seems the settingspage of that module

(/settings/plugin/redmine_backlogs/) lets you chose the type of tracker for features and tasks. The task-typewas set to tracker bug.

This is a problem. This setting should only be applied when the module Backlogs is activated for the specific project but now it seems to have an

impact on all projects?

#2 - 2011-04-14 14:57 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

You should ask the plugin author.
